clang 10.0.0git

Classes | Namespaces | Functions
UninitializedValues.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/SmallVector.h"`
Include dependency graph for UninitializedValues.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::UninitUse
| A use of a variable, which might be uninitialized. More...
struct | clang::UninitUse::Branch
class | clang::UninitVariablesHandler
struct | clang::UninitVariablesAnalysisStats

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Functions
void | clang::runUninitializedVariablesAnalysis (const DeclContext &dc, const CFG &cfg, AnalysisDeclContext &ac, UninitVariablesHandler &handler, UninitVariablesAnalysisStats &stats)